
Core - Feature # 21423

Status: Rejected Priority: Should have
Author: Bernhard Kraft Category: Install Tool
Created: 2009-11-02 Assigned To:
Updated: 2014-12-20 Due date:
PHP Version: 5.2
Complexity:
Sprint Focus:
Subject: Install Tool Password gets transmitted plain text
Description

When you log into the install tool, the password is transmitted plaintext "as is" to the server and there it gets md5 hashed and
compared to the password stored in localconf.php.

It would be better to use a challenge/response like for the BE-Login

The only remaining weakness is setting the Install Tool Password right out of the Install Tool. Cause here it is again transmitted in
plaintext. An asymmetric encryption could solve this problem (Not part of this bug/patch).

For the problem of plain-text Install Tool Login a patch is attached (against rev. 6310)

(issue imported from #M12430)

Related issues:
related to Core - Feature # 22245: Secure Install Tool Login Resolved 2010-03-06
related to Core - Feature # 50613: Use salted Install Tool password Resolved 2013-08-01

History
#1 - 2010-05-07 15:19 - Chris topher

Result of the discussion in Core List is to better use asymmetric encryption (like RSA) to secure the data transfer.

People agreed in #22245 (see Core List), that at least that should be done with #22245.

#2 - 2013-10-22 10:32 - Nicole Cordes
- Category set to Install Tool
- Status changed from New to Accepted
- Assigned To set to Nicole Cordes
- Target version deleted (0)

#3 - 2014-12-20 20:04 - Mathias Schreiber
- Status changed from Accepted to Rejected

These things should be handled by an SSL connection.

#4 - 2014-12-20 20:08 - Helmut Hummel

The install tool must be available in many conditions which cannot be fulfilled with integrating rsa encryption.

2015-08-04 1/2



If you are concerned with clear text transmission of your install tool password, you should not use it on a production server without SSL being enabled
on the server (and probably not even then)

#5 - 2014-12-20 20:08 - Helmut Hummel
- Assigned To deleted (Nicole Cordes)

Files
installToolLogin_ChallengeResponse.diff 5.1 kB 2009-11-02 Administrator Admin
